Rebuild quibble images for Chrome 69 and Firefox 60
Closed, ResolvedPublic

Description

The next person who tries to rebuild the Quibble images is going to pull in Firefox 60 (instead of 52) and Chrome 69 (instead of 68). It would be good to rebuild them now for the purpose of upgrading Firefox/Chrome so people don't get surprised later on.

Legoktm created this task.Sep 9 2018, 3:48 AM
Legoktm triaged this task as High priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2018, 3:48 AM
hashar renamed this task from Rebuild quibble images for Firefox 60 to Rebuild quibble images for Chrome 69 and Firefox 60.Sep 10 2018, 11:28 AM
hashar updated the task description. (Show Details)

Change 459575 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: rebuild Quibble stretch for Chromium/Firefox

https://gerrit.wikimedia.org/r/459575

Change 459576 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Quibble Stretch jobs with Chromium 69

https://gerrit.wikimedia.org/r/459576

Change 459577 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Bump wdio selenium jobs Chromium 60/Firefox 60

https://gerrit.wikimedia.org/r/459577

Change 459580 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: update npm-browser for Firefox/Chromium

https://gerrit.wikimedia.org/r/459580

Change 459582 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update oojs-ui jobs for Chromium 69/Firefox 60

https://gerrit.wikimedia.org/r/459582

I have split the updates in different changes. I will probably rebuild all images at once then update the jobs one per one and monitor them.

Legoktm assigned this task to hashar.Sep 12 2018, 12:37 AM

Change 459580 merged by jenkins-bot:
[integration/config@master] docker: update npm-browser for Firefox/Chromium

https://gerrit.wikimedia.org/r/459580

Change 459575 merged by jenkins-bot:
[integration/config@master] docker: rebuild Quibble stretch for Chromium/Firefox

https://gerrit.wikimedia.org/r/459575

Mentioned in SAL (#wikimedia-releng) [2018-09-12T09:38:28Z] <hashar> Updating jobs oojs-ui-docker-publish oojs-ui-npm-run-jenkins-node-6-docker for Chromium 69 and Firefox 60 - T203902

Change 459582 merged by jenkins-bot:
[integration/config@master] Update oojs-ui jobs for Chromium 69/Firefox 60

https://gerrit.wikimedia.org/r/459582

Mentioned in SAL (#wikimedia-releng) [2018-09-13T08:57:37Z] <hashar> Updating jenkins job mwselenium-quibble-docker to use Chromium 69/Firefox 60 | T203902

Mentioned in SAL (#wikimedia-operations) [2018-09-13T08:59:43Z] <hashar> Bumped CI jobs based on Debian Stretch to use Chrome 69 and Firefox 60 | T203902

Change 459577 merged by jenkins-bot:
[integration/config@master] Bump wdio selenium jobs Chromium 69/Firefox 60

https://gerrit.wikimedia.org/r/459577

Change 459576 merged by jenkins-bot:
[integration/config@master] Quibble Stretch jobs with Chromium 69

https://gerrit.wikimedia.org/r/459576

I have checked all images on contint1001 using:

docker images|awk '{ print $1 ":" $2 }'|egrep -v ':(<none>|latest)'|xargs --verbose -n1 -I{} docker run --entrypoint=/bin/bash --rm {} -c '[ -e /usr/bin/chromium ] && /usr/bin/chromium --version || echo "No chromium"'

One container is not updated yet:

releng/npm-browser-test:0.2.0Chromium 64

Change 460292 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update jobs to use releng/npm-browser-test:0.2.0

https://gerrit.wikimedia.org/r/460292

Change 460292 merged by jenkins-bot:
[integration/config@master] Update jobs to use releng/npm-browser-test:0.2.0

https://gerrit.wikimedia.org/r/460292

Change 460293 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Firefox/Chromium for language-screenshots-VisualEditor

https://gerrit.wikimedia.org/r/460293

Change 460293 merged by jenkins-bot:
[integration/config@master] Update Firefox/Chromium for language-screenshots-VisualEditor

https://gerrit.wikimedia.org/r/460293

Change 460295 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Firefox/Chromium for selenium-daily-beta-* jobs

https://gerrit.wikimedia.org/r/460295

Change 460295 merged by jenkins-bot:
[integration/config@master] Update Firefox/Chromium for selenium-daily-beta-* jobs

https://gerrit.wikimedia.org/r/460295

Change 460298 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Chromium for mediawiki/services/chromium-render

https://gerrit.wikimedia.org/r/460298

Change 460298 merged by jenkins-bot:
[integration/config@master] Update Chromium for mediawiki/services/chromium-render

https://gerrit.wikimedia.org/r/460298

Change 460300 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Chromium and Firefox for VisualEditor

https://gerrit.wikimedia.org/r/460300

Change 460300 merged by jenkins-bot:
[integration/config@master] Update Chromium and Firefox for VisualEditor

https://gerrit.wikimedia.org/r/460300

Change 460302 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Chromium for oojs/core and oojs/router

https://gerrit.wikimedia.org/r/460302

Change 460302 merged by jenkins-bot:
[integration/config@master] Update Chromium for oojs/core and oojs/router

https://gerrit.wikimedia.org/r/460302

Change 460303 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Chromium for unicodejs

https://gerrit.wikimedia.org/r/460303

Change 460305 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Chromium for analytics/mediawiki-storage

https://gerrit.wikimedia.org/r/460305

Change 460303 merged by jenkins-bot:
[integration/config@master] Update Chromium for unicodejs

https://gerrit.wikimedia.org/r/460303

Change 460306 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Chromium for analytics/wikistats2

https://gerrit.wikimedia.org/r/460306

Change 460308 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Chromium for wikibase/data-values-value

https://gerrit.wikimedia.org/r/460308

Change 460309 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Chromium for wikibase/javascript-api

https://gerrit.wikimedia.org/r/460309

Change 460310 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Chromium for wikidata/query/gui

https://gerrit.wikimedia.org/r/460310

Change 460311 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Chromium for wikimedia/portals

https://gerrit.wikimedia.org/r/460311

Change 460312 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Chromium on mwgate-npm-browser-node-6-docker

https://gerrit.wikimedia.org/r/460312

Change 460313 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update container of {name}-npm-browser-node-6-docker

https://gerrit.wikimedia.org/r/460313

Change 460305 merged by jenkins-bot:
[integration/config@master] Update Chromium for analytics/mediawiki-storage

https://gerrit.wikimedia.org/r/460305

Change 460306 merged by jenkins-bot:
[integration/config@master] Update Chromium for analytics/wikistats2

https://gerrit.wikimedia.org/r/460306

Change 460308 merged by jenkins-bot:
[integration/config@master] Update Chromium for wikibase/data-values-value

https://gerrit.wikimedia.org/r/460308

Change 460309 merged by jenkins-bot:
[integration/config@master] Update Chromium for wikibase/javascript-api

https://gerrit.wikimedia.org/r/460309

Change 460310 merged by jenkins-bot:
[integration/config@master] Update Chromium for wikidata/query/gui

https://gerrit.wikimedia.org/r/460310

Change 460311 merged by jenkins-bot:
[integration/config@master] Update Chromium for wikimedia/portals

https://gerrit.wikimedia.org/r/460311

Change 460312 merged by jenkins-bot:
[integration/config@master] Update Chromium on mwgate-npm-browser-node-6-docker

https://gerrit.wikimedia.org/r/460312

Change 460313 merged by jenkins-bot:
[integration/config@master] Update container of {name}-npm-browser-node-6-docker

https://gerrit.wikimedia.org/r/460313

hashar closed this task as Resolved.EditedSep 13 2018, 10:21 AM

I have made a change per repository so we can easily revert if something goes wrong.

Seems to me all jobs are now using the latest container with Chromium v69 and Firefox 60.

I have poked wikitech-l and QA lists:

https://lists.wikimedia.org/pipermail/wikitech-l/2018-September/090813.html